/*
 * JBoss, Home of Professional Open Source.
 * Copyright 2008, Red Hat Middleware LLC, and individual contributors
 * as indicated by the @author tags. See the copyright.txt file in the
 * distribution for a full listing of individual contributors.
 *
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this software; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
 */

package org.jboss.as.clustering.web;

import java.util.Map;

/**
 * Expands on {@link OutgoingDistributableSessionData} to expose the session's attribute map.
 * @author Brian Stansberry
 */
public interface OutgoingSessionGranularitySessionData extends OutgoingDistributableSessionData {
    /**
     * Gets the attribute map for the session, or <code>null</code> if the attribute map is unmodified from what is already
     * present in the distributed cache.
     * @return the attribute map or <code>null</code>. If not <code>null</code>, all replicable attributes managed by the
     *         session will be included in the map, not just those that have been modified
     */
    Map<String, Object> getSessionAttributes();
}
